# Validate Account Enhancement assignment

This function returns whether a cPanel account has a specific Account Enhancement.

Endpoint: GET /AccountEnhancements/has_enhancement
Version: 11.138.0.10
Security: BasicAuth

## Query parameters:

  - `id` (string, required)
    The identifier for a specific Account Enhancement.

Note:

To retrieve a list of all Account Enhancements IDs on the server, run the WHM API 1 list_account_enhancements function.
    Example: "sample-enhancement-id"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list"

  - `module` (string)
    The name of the module called.
    Example: "AccountEnhancements"

  - `result` (object)

  - `result.data` (integer)
    * 1 - The Account Enhancement is assigned to the cPanel account.
* 0 - The Account Enhancement is not assigned to the cPanel account.
    Enum: 1, 0

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the reason field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


